#!/bin/sh
#
# $FreeBSD: ports/security/stunnel/files/stunnel.sh,v 1.4 2004/12/30 15:39:26 roam Exp $
#

# PROVIDE: stunnel
# REQUIRE: NETWORKING SERVERS
# BEFORE: DAEMON
# KEYWORD: shutdown

#
# Add some of the following variables to /etc/rc.conf to configure stunnel:
# stunnel_enable (bool):	Set to "NO" by default.
#				Set it to "YES" to enable stunnel.
# stunnel_config (str):		Default "/usr/local/etc/stunnel/stunnel.conf"
#				Set it to the full path to the config file
#				that stunnel will use during the automated
#				start-up.
# stunnel_pidfile (str):	Default "/usr/local/var/stunnel/stunnel.pid"
#				Set it to the value of 'pidfile' in
#				the stunnel.conf file.
#

. /usr/local/etc/rc.subr

name="stunnel"
rcvar=`set_rcvar`
stunnel_config="/usr/local/etc/stunnel/${name}.conf"
stunnel_pidfile="/usr/local/var/stunnel/${name}.pid"
command="/usr/local/sbin/stunnel"

[ -z "$stunnel_enable" ]		&& stunnel_enable="NO"

load_rc_config $name

command_args=${stunnel_config}
pidfile=${stunnel_pidfile}

required_files="${stunnel_config}"

run_rc_command "$1"
